org.apache.felix.ipojo.manipulator.visitor

## Class ManipulationResultAdapter

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.visitor.ManipulationResultAdapter

All Implemented Interfaces:
  ManipulationResultVisitor

Direct Known Subclasses:
  CheckFieldConsistencyResultVisitor

    public class ManipulationResultAdapter
    extends Object
    implements ManipulationResultVisitor

Empty ManipulationResultVisitor visitor. It is useful to extends this class to keep a working visitor chain.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ManipulationResultAdapter(ManipulationResultVisitor delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitClassStructure(org.apache.felix.ipojo.metadata.Element structure)` Called once per visitor with the class' structure discovered during manipulation.
`void` `visitEnd()` Called when all resources from this manipulation result have been processed.
`void` `visitManipulatedResource(String type, byte[] resource)` Accept a manipulated resource (main component class or inner classes).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManipulationResultAdapter

    public ManipulationResultAdapter(ManipulationResultVisitor delegate)

### Method Detail

#### visitClassStructure

    public void visitClassStructure(org.apache.felix.ipojo.metadata.Element structure)

Description copied from interface: `ManipulationResultVisitor`
Called once per visitor with the class' structure discovered during manipulation.

Specified by:
  `visitClassStructure` in interface `ManipulationResultVisitor`
Parameters:
  `structure` - Component's structure (discovered during manipulation, not the data from metadata.xml)

#### visitManipulatedResource

    public void visitManipulatedResource(String type,
                                         byte[] resource)

Description copied from interface: `ManipulationResultVisitor`
Accept a manipulated resource (main component class or inner classes).

Specified by:
  `visitManipulatedResource` in interface `ManipulationResultVisitor`
Parameters:
  `type` - type name
  `resource` - manipulated bytecode

#### visitEnd

    public void visitEnd()

Description copied from interface: `ManipulationResultVisitor`
Called when all resources from this manipulation result have been processed.

Specified by:
  `visitEnd` in interface `ManipulationResultVisitor`